Package jakarta.websocket

## Class CloseReason

- java.lang.Object
- - jakarta.websocket.CloseReason

-     public class CloseReason
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `CloseReason.CloseCode` |
    `static class` | `CloseReason.CloseCodes` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CloseReason​(CloseReason.CloseCode closeCode, java.lang.String reasonPhrase)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CloseReason.CloseCode` | `getCloseCode()` |
    `java.lang.String` | `getReasonPhrase()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CloseReason

          public CloseReason​(CloseReason.CloseCode closeCode,
                             java.lang.String reasonPhrase)

  - ### Method Detail

    - #### getCloseCode

          public CloseReason.CloseCode getCloseCode()

    - #### getReasonPhrase

          public java.lang.String getReasonPhrase()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`